--- old/usr/src/cmd/mdb/intel/kmdb/kvm_isadep.c	Wed Feb 28 17:34:22 2018
+++ new/usr/src/cmd/mdb/intel/kmdb/kvm_isadep.c	Wed Feb 28 17:34:22 2018
@@ -21,16 +21,15 @@
 /*
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright 2018 Joyent, Inc.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * isa-dependent portions of the kmdb target
  */
 
 #include <kmdb/kvm.h>
-#include <kmdb/kvm_cpu.h>
 #include <kmdb/kmdb_kdi.h>
 #include <kmdb/kmdb_asmutil.h>
 #include <mdb/mdb_debug.h>
@@ -101,14 +100,6 @@
 	return (mdb_isa_step_out(t, p, pc, fp, sp, instr));
 }
 
-int
-kmt_step_branch(mdb_tgt_t *t)
-{
-	kmt_data_t *kmt = t->t_data;
-
-	return (kmt_cpu_step_branch(t, kmt->kmt_cpu));
-}
-
 /*
  * Return the address of the next instruction following a call, or return -1
  * and set errno to EAGAIN if the target should just single-step.
@@ -356,19 +347,6 @@
 	return (DCMD_OK);
 }
 
-int
-kmt_msr_validate(const kdi_msr_t *msr)
-{
-	uint64_t val;
-
-	for (/* */; msr->msr_num != 0; msr++) {
-		if (kmt_rwmsr(msr->msr_num, &val, rdmsr) < 0)
-			return (0);
-	}
-
-	return (1);
-}
-
 /*ARGSUSED*/
 ssize_t
 kmt_write(mdb_tgt_t *t, const void *buf, size_t nbytes, uintptr_t addr)
